Bug 1287319 - Usage of Promote to describe moving content view versions through lifecycle environments
Usage of Promote to describe moving content view versions through lifecycle e...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views (Show other bugs)
6.1.4
Unspecified Unspecified
low Severity low (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: Triaged, UserExperience
Depends On:
Blocks: 1317008
  Show dependency treegraph
 
Reported: 2015-12-01 18:34 EST by Stuart Auchterlonie
Modified: 2017-04-25 12:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-09 12:38:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stuart Auchterlonie 2015-12-01 18:34:50 EST
Description of problem:

The wording used to describe moving content view versions between
different environment is "promote", yet the activity that takes
place is more of a publication/presentation/association of the 
version with an environment.

For example, if you have a CV with versions 1, 2 and 3 in the
following environments

version 3 - env A
version 2 - env B
version 2 - env C
version 1 - env D

First you promote version 3 to environment B, which leaves you with

version 3 - env A & B
version 2 - env C
version 1 - env D

if you identify an issue with version 3 in env B, you have to rollback
to the previous version, which is done by "promoting" version 2 back to
env B. The change from version 3 -> 2 in env B, is not strictly speaking
a "promotion"

This bugzilla is to request consideration of an alternative way of
naming "promote" of CV's to better align with what actually happens

Version-Release number of selected component (if applicable):

6.1.2 - 6.1.4
Comment 3 Bryan Kearney 2016-07-08 16:46:24 EDT
Per 6.3 planning, moving out non acked bugs to the backlog
Comment 5 Bryan Kearney 2017-02-09 12:38:04 EST
Thank you for this bug request. I do no see us addressing this in the next few releases. I am therefore closing this out. If you believe this was done in error, please feel free to re-open with additional information.

Note You need to log in before you can comment on or make changes to this bug.